<?php


namespace AutoAdmin\Bundle\Content\Model;


use AutoAdmin\Bundle\Content\Entity\Domain;
use AutoAdmin\Bundle\Content\Entity\Locale;
use AutoAdmin\Bundle\Content\Entity\Site;

class SiteConfig
{
    private Site $site;
    private Domain $domain;
    private Locale $locale;

    public function __construct(Site $site, Domain $domain, Locale $locale)
    {
        $this->site = $site;
        $this->domain = $domain;
        $this->locale = $locale;
    }

    public function getSite(): Site
    {
        return $this->site;
    }

    public function getDomain(): Domain
    {
        return $this->domain;
    }

    public function getLocale(): Locale
    {
        return $this->locale;
    }
}